/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSApplication_bindings;

import dstep.foundation.NSObjCRuntime;
import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id NSModalPanelRunLoopMode;
		package id NSEventTrackingRunLoopMode;
		package id NSApp;
		package id NSApplicationDidBecomeActiveNotification;
		package id NSApplicationDidHideNotification;
		package id NSApplicationDidFinishLaunchingNotification;
		package id NSApplicationDidResignActiveNotification;
		package id NSApplicationDidUnhideNotification;
		package id NSApplicationDidUpdateNotification;
		package id NSApplicationWillBecomeActiveNotification;
		package id NSApplicationWillHideNotification;
		package id NSApplicationWillFinishLaunchingNotification;
		package id NSApplicationWillResignActiveNotification;
		package id NSApplicationWillUnhideNotification;
		package id NSApplicationWillUpdateNotification;
		package id NSApplicationWillTerminateNotification;
		package id NSApplicationDidChangeScreenParametersNotification;
	}
}

extern (C)
{
	package bool NSShowsServicesMenuItem (id itemName);
	package NSInteger NSSetShowsServicesMenuItem (id itemName, bool enabled);
	package bool NSPerformService (id itemName, id pboard);
	package void NSRegisterServicesProvider (id provider, id name);
	package void NSUnregisterServicesProvider (id name);
}