/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSNibControlConnector;

import dstep.appkit.NSNibConnector;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

class NSNibControlConnector : NSNibConnector
{
	mixin ObjcWrap;
	
	this (id object)
	{
		super(object);
	}

	void establishConnection ()
	{
		return invokeObjcSelf!(void, "establishConnection");
	}
}

