/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGPDFOperatorTable;

import dstep.applicationservices.coregraphics.CGPDFScanner;

struct CGPDFOperatorTable;

alias CGPDFOperatorTable* CGPDFOperatorTableRef;

extern (C)
{
	alias void function (CGPDFScannerRef, void*) CGPDFOperatorCallback;
}

extern (C)
{
	CGPDFOperatorTableRef CGPDFOperatorTableCreate ();
	CGPDFOperatorTableRef CGPDFOperatorTableRetain (CGPDFOperatorTableRef table);
	void CGPDFOperatorTableRelease (CGPDFOperatorTableRef table);
	void CGPDFOperatorTableSetCallback (CGPDFOperatorTableRef table, char* name, CGPDFOperatorCallback callback);
}