/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 13, 2009
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.foundation.NSObject_bindings;

import dstep.foundation.NSObjCRuntime;
import dstep.foundation.NSZone;
import dstep.objc.objc;

extern (C):
package:
	
id NSAllocateObject (Class aClass, NSUInteger extraBytes, NSZone* zone);
void NSDeallocateObject (id object);
id NSCopyObject (id object, NSUInteger extraBytes, NSZone* zone);
bool NSShouldRetainWithZone (id anObject, NSZone* requestedZone);
void NSIncrementExtraRefCount (id object);
bool NSDecrementExtraRefCountWasZero (id object);
NSUInteger NSExtraRefCount (id object);