/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.emmtype;

import dstep.security.cssmtype;

alias uint CSSM_MANAGER_EVENT_TYPES;
alias CSSM_MANAGER_EVENT_NOTIFICATION* CSSM_MANAGER_EVENT_NOTIFICATION_PTR;

struct CSSM_MANAGER_EVENT_NOTIFICATION
{
	uint DestinationModuleManagerType;
	uint SourceModuleManagerType;
	uint Event;
	uint EventId;
	CSSM_DATA EventData;
}

