/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 25, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coredata.NSEntityMigrationPolicy_bindings;

import dstep.coredata.CoreDataDefines;
import dstep.coredata.NSEntityMapping;
import dstep.coredata.NSManagedObject;
import dstep.coredata.NSMigrationManager;
import dstep.foundation.NSArray;
import dstep.foundation.NSError;
import dstep.foundation.NSObject;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;


extern (C)
{
	extern
	{
		package const id NSMigrationManagerKey;
		package const id NSMigrationSourceObjectKey;
		package const id NSMigrationDestinationObjectKey;
		package const id NSMigrationEntityMappingKey;
		package const id NSMigrationPropertyMappingKey;
	}
}

