/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.cssmdli;

import dstep.security.cssmtype;

struct CSSM_SPI_DL_FUNCS
{
	char* DbName;
	CSSM_NET_ADDRESS* DbLocation;
	uint AccessRequest;
	CSSM_ACCESS_CREDENTIALS* AccessCred;
	void* OpenParameters;
	CSSM_DBINFO* DBInfo;
	CSSM_RESOURCE_CONTROL_CONTEXT* CredAndAclEntry;
	uint RelationID;
	char* RelationName;
	uint NumberOfAttributes;
	CSSM_DB_SCHEMA_ATTRIBUTE_INFO* pAttributeInfo;
	uint NumberOfIndexes;
	CSSM_STRING* SelectionTag;
	uint* NumberOfAclInfos;
	uint RecordType;
	CSSM_DB_RECORD_ATTRIBUTE_DATA* Attributes;
	CSSM_DATA* Data;
	CSSM_DB_UNIQUE_RECORD_PTR UniqueRecordIdentifier;
	CSSM_DB_RECORD_ATTRIBUTE_DATA* AttributesToBeModified;
	CSSM_DATA* DataToBeModified;
	CSSM_QUERY* Query;
	CSSM_HANDLE_PTR ResultsHandle;
	CSSM_DB_UNIQUE_RECORD* UniqueRecord;
	uint PassThroughId;
	void* InputParams;
}

